Bug 850683 - nsds5ReplicaEnabled can be set with any invalid values.
Summary: nsds5ReplicaEnabled can be set with any invalid values.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-22 07:12 UTC by Amita Sharma
Modified: 2013-02-21 08:20 UTC (History)
6 users (show)

Fixed In Version: 389-ds-base-1.2.11.12-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Did not check for valid values Consequence: The feature would be kept off Fix: check the value Result: error reported
Clone Of:
Environment:
Last Closed: 2013-02-21 08:20:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0503 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2013-02-21 08:18:44 UTC

Description Amita Sharma 2012-08-22 07:12:57 UTC
Description of problem:
nsds5ReplicaEnabled attribute accepting the invalid values

Version-Release number of selected component (if applicable):
389-ds-base-1.2.11.7-2.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
I have checked in my changes to SVN TET fourwaymmr.sh.
Also, I have manually tested that this attribute "nsds5ReplicaEnabled"
is accepting any value be it digits or anything. It should only take ON/OFF.

====================================================================
----------------- Starting Test bug834074_08 -------------------------
====================================================================
Changing the value of nsds5ReplicaEnabled to some invalid value on M1
Modify nsds5ReplicaEnabled's value to invalid on Master M1
modifying entry cn=M1_to_M2,cn=replica,cn="dc=example,dc=com",cn=mapping
tree,cn=config

bug834074_07: Able to modify nsds5ReplicaEnabled to invalid : FAIL (0)
TestCase [bug834074_08] result-> [FAIL]
====================================================================
                                                                 

[root@dhcp201-134 fourwaymmr]# ldapmodify -x -D "cn=directory manager"
-w *** -p 30100 -h localhost << EOF
> > dn: cn=M1_to_M2,cn=replica,cn="dc=example,dc=com",cn=mapping
tree,cn=config
> > changetype: modify
> > replace: nsds5ReplicaEnabled
> > nsds5ReplicaEnabled: invalid
> > EOF
modifying entry
"cn=M1_to_M2,cn=replica,cn="dc=example,dc=com",cn=mapping tree,cn=config"

[root@dhcp201-134 fourwaymmr]# ldapmodify -x -D "cn=directory manager"
-w *** -p 30100 -h localhost << EOF
dn: cn=M1_to_M2,cn=replica,cn="dc=example,dc=com",cn=mapping tree,cn=config
changetype: modify
replace: nsds5ReplicaEnabled
nsds5ReplicaEnabled: invalsadsa689id
EOF

modifying entry
"cn=M1_to_M2,cn=replica,cn="dc=example,dc=com",cn=mapping tree,cn=config"

[root@dhcp201-134 fourwaymmr]# ldapmodify -x -D "cn=directory manager"
-w *** -p 30100 -h localhost << EOF
dn: cn=M1_to_M2,cn=replica,cn="dc=example,dc=com",cn=mapping tree,cn=config
changetype: modify
replace: nsds5ReplicaEnabled
nsds5ReplicaEnabled: 0             
EOF

modifying entry
"cn=M1_to_M2,cn=replica,cn="dc=example,dc=com",cn=mapping tree,cn=config"

Comment 1 Rich Megginson 2012-08-22 13:21:45 UTC
Upstream ticket:
https://fedorahosted.org/389/ticket/436

Comment 2 Amita Sharma 2012-08-28 12:38:25 UTC
Steps to Reproduce ::
========================
1. Try to modify nsds5ReplicaEnabled with any invalid value using ldapmodify :

[root@dhcp201-134 fourwaymmr]# ldapmodify -x -D "cn=directory manager"
-w *** -p 30100 -h localhost << EOF
> > dn: cn=M1_to_M2,cn=replica,cn="dc=example,dc=com",cn=mapping
tree,cn=config
> > changetype: modify
> > replace: nsds5ReplicaEnabled
> > nsds5ReplicaEnabled: invalid
> > EOF
modifying entry
"cn=M1_to_M2,cn=replica,cn="dc=example,dc=com",cn=mapping tree,cn=config"

[root@dhcp201-134 fourwaymmr]# ldapmodify -x -D "cn=directory manager"
-w *** -p 30100 -h localhost << EOF
dn: cn=M1_to_M2,cn=replica,cn="dc=example,dc=com",cn=mapping tree,cn=config
changetype: modify
replace: nsds5ReplicaEnabled
nsds5ReplicaEnabled: invalsadsa689id
EOF

modifying entry
"cn=M1_to_M2,cn=replica,cn="dc=example,dc=com",cn=mapping tree,cn=config"

[root@dhcp201-134 fourwaymmr]# ldapmodify -x -D "cn=directory manager"
-w *** -p 30100 -h localhost << EOF
dn: cn=M1_to_M2,cn=replica,cn="dc=example,dc=com",cn=mapping tree,cn=config
changetype: modify
replace: nsds5ReplicaEnabled
nsds5ReplicaEnabled: 0             
EOF

modifying entry
"cn=M1_to_M2,cn=replica,cn="dc=example,dc=com",cn=mapping tree,cn=config"

Actual Result :: Modification Passed
Expected Result :: It should only except ON/OFF as valid values, nothing else and should give error message.

Comment 5 Amita Sharma 2013-01-21 11:22:28 UTC
Changing the value of nsds5ReplicaEnabled to some invalid value on M1
Modify nsds5ReplicaEnabled's value to invalid on Master M1
modifying entry cn=M1_to_M2,cn=replica,cn="dc=example,dc=com",cn=mapping tree,cn=config

bug834074_08: Unable to modify nsds5ReplicaEnabled to valid : PASS (1)
TestCase [bug834074_08] result-> [PASS]

quickinstall startup 	100% (2/2) 	  	 
mmrepl fourwaymmr startup 	100% (1/1) 	  	 
mmrepl fourwaymmr run 	100% (23/23) 	  	 
mmrepl fourwaymmr cleanup 	100% (1/1)

Comment 6 errata-xmlrpc 2013-02-21 08:20:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0503.html


Note You need to log in before you can comment on or make changes to this bug.